function plot_travel(time, impacts, state_space, draw_interval, ...
                                                            repeats, fps)
    
    fig = figure(10004);

    set(0,'Units','pixels');
    scnsize = get(0,'ScreenSize');
    
    screen_width = scnsize(3);
    screen_height = scnsize(4);
    
    pos = [0,...                        % Bottom left corner x - pos
            0,...                       % Bottom left corner y - pos
            screen_width,...            % Figure width
            0.5*screen_height];         % Figure height
    set(fig,'OuterPosition',pos) 
    
    [movie_storage, winsize] = animate_walker(time, ...
        impacts, draw_interval, state_space(:,1:2), fig);
     movie(fig,movie_storage,repeats,fps,winsize);
end

