function Dx = f0(theta, x, E0)
    global p1 p2 p3 p4 p5 p6 p7 p8 p9 p10 p11 psi;

    phi = x(1);
    Dphi = x(2);

    DDphi = -0.1e1 / (-p1 * p3 + cos(-theta + phi) ^ 2 ...
        * p2 ^ 2) * (-cos(-theta + phi) * p2 ^ 2 ...
        * sin(-theta + phi) * Dphi + p3 * sin(-theta + phi) ...
        * p2 * Dphi ^ 3 - cos(-theta + phi) * p2 ^ 2 ...
        * sin(-theta + phi) * Dphi ^ 2 + p1 * sin(-theta + phi) * p2)...
        - 0.1e1 / (-p1 * p3 + cos(-theta + phi) ^ 2 * p2 ^ 2)...
        / (E0 - cos(theta) * p4 - p5 + cos(phi) * p5 + p4) ...
        * (-sin(theta) * p4 * p3 * Dphi + sin(theta) * p4 * p2 ...
        * cos(-theta + phi) + sin(phi) * p5 ...
        *cos(-theta + phi) * p2 * Dphi - sin(phi) * p5 * p1)...
        * (p1 + p3 * Dphi ^ 2 - 0.2e1 * p2 ...
        * cos(-theta + phi) * Dphi) / 0.2e1;

    Dx = [Dphi, DDphi]';

end
