clc;
clear all;
close all;
set(0,'defaulttextinterpreter','LaTex')

%% Search for gait near initial conditions
% Initital guess for a,b and quad_solution_selector = {1,2}

% Stable
% a0 = 0.2;
% b0 = -1.0;
% quad_solution_selector = 2;

% Unstable
a0 = 0.2;
b0 = -1.0;
quad_solution_selector = 1;

[a,b,c,d,e,f,g,h,E0] = run_gait_search(a0, b0, quad_solution_selector);

%% Checking stability of gait found above
eigenvalues = run_stability_check(a,b,c,d,e,f,g,h,E0);

plot_eigenvalues(eigenvalues);